XLOAD(1)

BEZEICHNUNG
xload - Anzeige der durchschnittlichen Systemlast für X

ÜBERSICHT
xload    [-Xtoolkit-Option …] [-scale Ganzzahl] [-update Sekunden]
        [-hl Farbe] [-highlight Farbe] [-remote Rechner]
        [-jumpscroll Pixel] [-label Zeichenkette] [-nolabel] [-lights]

BESCHREIBUNG
Das Programm xload zeigt ein periodisch aktualisiertes Histogramm der durchschnittlichen Systemlast.

OPTIONEN

Xload akzeptiert sämtliche Befehlszeilenoptionen des X-Toolkits (siehe X(7)). Die Reihenfolge der Optionen ist egal. Xload akzeptiert auch die folgenden zusätzlichen Optionen:

-hl Farbe oder -highlight Farbe
    Diese Option gibt die Farbe der Skalenlinien an.

-jumpscroll Pixel
    Die Anzahl an Pixel, um die der Graph nach links verschoben werden soll, wenn der Graph das rechte Ende des Fensters erreicht. Die Vorgabe ist die halbe Breite des aktuellen Fensters. Durch Setzen auf 1 kann sanftes Scrollen erreicht werden.

-label Zeichenkette
    Die Zeichenkette, die in die Legende oberhalb der Durchschnittslast geschrieben werden soll.

-nolabel
    Falls diese Befehlszeilenoption angegeben ist, dann wird oberhalb des Lastgraphen keine Legende angezeigt.

-lights
    Falls angegeben, führt diese Option dazu, dass xload die aktuelle durchschnittliche Last mittels der Tastatur-LEDs anzeigt; für eine durchschnittliche Last von n erleuchtet Xload die ersten n Tastatur-LEDs. Diese Option schaltet die gewöhnliche Bildschirmanzeige ab.

-scale Ganzzahl
    Diese Option gibt die minimale Anzahl an Strichmarkierungen im Histogramm an, wobei eine Unterteilung einem durchschnittlichen Lastpunkt entspricht. Falls die Last diese Zahl übersteigt, wird xload weitere Unterteilungen vornehmen, aber es wird niemals weniger Unterteilungen verwenden. Die Vorgabe ist 1.

-update Sekunden
    Diese Option gibt das Intervall in Sekunden an, in dem xload seine Anzeige aktualisiert. Die minimale erlaubte Zeit zwischen zwei Aktualisierungen ist 1 Sekunde. Die Vorgabe ist 10.

-remote Rechner
    Diese Option weist xload an, die Last von Rechner statt von localhost anzuzeigen. Xload erhält die Informationen aus der rwhod-Datenbank und benötigt konsequenterweise die Ausführung von rwhod sowohl auf localhost als auch auf Rechner.

RESSOURCEN
Zusätzlich zu den Ressourcen, die jedem von xload verwandten Widget verfügbar sind, gibt es eine Ressource, die für die Anwendung selbst definiert ist.

showLabel (class logischer_Wert)
    Falls »False«, dann werden keine Legenden angezeigt.

WIDGETS
Um Ressourcen anzugeben, ist es nützlich, die Hierarchie der Widgets zu kennen, die xload aufbauen. In der nachfolgenden Notation bedeuten Einzüge eine hierarchische Struktur. Der Widget-Klassenname wird zuerst angegeben, gefolgt vom Instanzennamen des Widgets.

XLoad  xload
        Paned  paned
                Label  label
                StripChart  load

UMGEBUNGSVARIABLEN

DISPLAY
    Um die Standard-Rechner- und -Anzeige-Nummer zu erhalten.

XENVIRONMENT
    Um die Ressourcendatei zu erhalten, die die in der Eigenschaft RESOURCE_MANAGER gespeicherten globalen Ressourcen außer Kraft setzt.

DATEIEN

/usr/share/X11/app-defaults/XLoad
    Gibt die benötigten Ressourcen an.

SIEHE AUCH
X(7), xrdb(1), mem(4), Athena StripChart Widget.

FEHLER
Auf älteren Plattformen könnte dieses Programm die Fähigkeit, die besondere Systemdatei /dev/kmem zu lesen und zu schreiben, benötigen. Anlagen, bei denen der allgemeine Zugriff auf diese Datei nicht erlaubt wird, müssen xload die gleiche Gruppenzugehörigkeit wie /dev/kmem geben und den Erlaubnisschalter set group id einschalten.

Das Lesen des Lastdurchschnitts ist systemimmanent nicht portabel. Daher muss die Routine zum Auslesen (get_load.c) für jedes neue Betriebssystem portiert werden.

AUTOREN
K. Shane Hartman (MIT-LCS) und Stuart A. Malone (MIT-LCS);
wobei Jim Gettys (MIT-Athena), Bob Scheifler (MIT-LCS), Tony Della Fera (MIT-Athena) und Chris Peterson (MIT-LCS) Funktionalitäten hinzugefügt haben.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).